Bug 1553372 - ganglia: ganglia-gmond should use network-online.target
Summary: ganglia: ganglia-gmond should use network-online.target
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ganglia
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 18:26 UTC by Stefan Dietrich
Modified: 2020-10-23 22:50 UTC (History)
3 users (show)

Fixed In Version: ganglia-3.7.2-33.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:50:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Stefan Dietrich 2018-03-08 18:26:22 UTC
Description of problem:
The ganglia gmond does not start under certain conditions.
"systemctl start gmond" will just block and not return, if it is executed not in multi-user.target:

[Unit]
Description=Ganglia Monitoring Daemon
After=multi-user.target

The gmond.service unit file should use network-online.target in order to avoid this situation:

[Unit]
Description=Ganglia Monitoring Daemon
After=network-online.target

This is also the default configuration of the unit file from upstream:
https://github.com/ganglia/monitor-core/blob/master/gmond/gmond.service.in

Version-Release number of selected component (if applicable):
ganglia-gmond-3.7.2-2.el7.x86_64

How reproducible:
Try to start gmond while not in multi-user.target, e.g. during operating system provisioning

Steps to Reproduce:
1. Install ganglia & ganglia-gmond
2. Run "systemctl start gmond" while not yet entered multi-user.target

Actual results:
systemctl start gmond will block and not return

Expected results:
gmond should be started

Additional info:
Problem encountered during deployment of new os installation.

Comment 1 Athanasios Kanaris 2019-02-22 16:15:18 UTC
Hello,

Is there an update on this? This is creating an issue with our kickstart procedure as well.

Comment 2 Fedora Update System 2020-10-08 22:13:55 UTC
FEDORA-EPEL-2020-fee165c6a2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fee165c6a2

Comment 3 Fedora Update System 2020-10-09 00:02:48 UTC
FEDORA-EPEL-2020-fee165c6a2 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fee165c6a2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-10-23 22:50:43 UTC
FEDORA-EPEL-2020-fee165c6a2 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.